Zum Inhalt springen

Die Mitgliedschaften des Vereins auflisten (nur IDs und Status)

GET
/v1/memberships
curl --request GET \
--url 'https://api.vimine.network/v1/memberships?status=pending' \
--header 'Authorization: Bearer <token>'

Seitenweise, die neuesten zuerst. updated_since (RFC 3339) liefert nur Einträge, die sich nach diesem Zeitpunkt geändert haben — für die inkrementelle Synchronisierung. Erfordert einen Tarif mit vereinsweiten Listen (sonst plan_limit).

status
string
Erlaubte Werte: pending active suspended revoked rejected
updated_since
string Format: date-time
limit
integer
>= 1 <= 100
cursor
string

Eine Seite

Medientypapplication/json
object
items
Array<object>
object
id
string
status
string
verdict
string
membership_type
object
cod
string
issued_at
string Format: date-time
nullable
valid_until
string Format: date-time
nullable
updated_at
string Format: date-time
next_cursor
string
nullable
Beispielerzeugt
{
"items": [
{
"id": "example",
"status": "example",
"verdict": "example",
"membership_type": {
"cod": "example"
},
"issued_at": "2026-04-15T12:00:00Z",
"valid_until": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z"
}
],
"next_cursor": "example"
}

Ungültige Anfrage

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Fehlende oder ungültige Zugangsdaten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Der Tarif des Vereins enthält keine vereinsweiten Listen (plan_limit)

Nicht gefunden

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Ratenlimit überschritten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Interner Fehler

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}